﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PripremaIspit
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Tvrtka tvrtka = new Tvrtka("Fora Ime d.o.o.");

            Automobil auto = new Automobil(DateTime.Now,
                "12345",
                "Audio",
                "Zvucnik",
                5,
                7,
                100000,
                new List<AutoRezervoar> { new AutoRezervoar() { Tip = Rezervoar.Struja, Velicina = 12 } });

            Dobavljac dobavljac = new Dobavljac("ime", "prezime", "1234", "adddd", "ne zovi", new List<BankovniRacun> { new BankovniRacun() { Banka = "Erste", BrojRacuna = "12345" } });
            Kupac kupac = new Kupac("kupac", "kupcic", "434343", "tu negdje", "1234", "croatia", new OsobnaIskaznica() { Broj = "434234", MjestoIzdavanja = "PP Makarska" });

            Nabava nabava = new Nabava(DateTime.Now, 123123, auto, dobavljac);
            tvrtka.KnjigaNabave.Add(nabava);

            IPopust popust = PopustFactory.GetPopust();
            Prodaja prodaja1 = new Prodaja(DateTime.Now, kupac, 2000, popust, auto);
            Prodaja prodaja2 = new Prodaja(DateTime.Now, kupac, 3000, popust, auto);
            Prodaja prodaja3 = new Prodaja(DateTime.Now, kupac, 4000, popust, auto);
            tvrtka.KnjigaProdaje.Add(prodaja1);
            tvrtka.KnjigaProdaje.Add(prodaja2);
            tvrtka.KnjigaProdaje.Add(prodaja3);
            
            tvrtka.KnjigaProdaje.Sort();

            foreach (Prodaja prodaja in tvrtka.KnjigaProdaje)
            {
                Console.WriteLine(prodaja);  
            }
        }
    }
}
